CmdMessenger 3.0 CmdMessenger is a serial port messaging library for the .Net / Mono Platform.

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | Events
CommandMessenger.SerialSettings Class Reference

Class containing properties related to a serial port. More...

List of all members.

## Public Member Functions
void | UpdateBaudRateCollection (int possibleBaudRates)
| Updates the range of possible baud rates for device.
void | UpdateBaudRateCollection (int possibleBaudRates)
| Updates the range of possible baud rates for device.
## Properties
string | PortName`[get, set]`
| The port to use (for example, COM1).
int | BaudRate`[get, set]`
| The baud rate.
Parity | Parity`[get, set]`
| One of the Parity values.
int | DataBits`[get, set]`
| The data bits value.
StopBits | StopBits`[get, set]`
| One of the StopBits values.
bool | DtrEnable`[get, set]`
| Set Data Terminal Ready.
string[] | PortNameCollection`[get, set]`
| Available ports on the computer.
List< int > | BaudRateCollection`[get]`
| Available baud rates for current serial port.
int[] | DataBitsCollection`[get, set]`
| Available data bits setting.
BindingList< int > | BaudRateCollection`[get]`
| Available baud rates for current serial port.
## Events
PropertyChangedEventHandler | PropertyChanged

## Detailed Description

Class containing properties related to a serial port.

## Member Function Documentation

void CommandMessenger.SerialSettings.UpdateBaudRateCollection | ( | int | possibleBaudRates | ) |

Updates the range of possible baud rates for device.

Parameters:

  possibleBaudRates | dwSettableBaud parameter from the COMMPROP Structure

Returns:
  An updated list of values

void CommandMessenger.SerialSettings.UpdateBaudRateCollection | ( | int | possibleBaudRates | ) |

Updates the range of possible baud rates for device.

Parameters:

  possibleBaudRates | dwSettableBaud parameter from the COMMPROP Structure

Returns:
  An updated list of values

## Property Documentation

int CommandMessenger.SerialSettings::BaudRate`[get, set]`

The baud rate.

BindingList<int> CommandMessenger.SerialSettings.BaudRateCollection`[get]`

Available baud rates for current serial port.

List<int> CommandMessenger.SerialSettings.BaudRateCollection`[get]`

Available baud rates for current serial port.

int CommandMessenger.SerialSettings::DataBits`[get, set]`

The data bits value.

int [] CommandMessenger.SerialSettings.DataBitsCollection`[get, set]`

Available data bits setting.

bool CommandMessenger.SerialSettings::DtrEnable`[get, set]`

Set Data Terminal Ready.

Parity CommandMessenger.SerialSettings::Parity`[get, set]`

One of the Parity values.

string CommandMessenger.SerialSettings::PortName`[get, set]`

The port to use (for example, COM1).

string [] CommandMessenger.SerialSettings.PortNameCollection`[get, set]`

Available ports on the computer.

StopBits CommandMessenger.SerialSettings::StopBits`[get, set]`

One of the StopBits values.

The documentation for this class was generated from the following files:

- D:/My Documents/Github/Arduino-Code-and-Libraries/Libraries/CmdMessenger/CSharp/CommandMessenger/Serialport/SerialSettings.cs
- D:/My Documents/Github/Arduino-Code-and-Libraries/Libraries/CmdMessenger/CSharp/CommandMessenger/SerialSettings_2.cs